Bug 128307 - HP-UX accept() can give EINVAL
HP-UX accept() can give EINVAL
Status: CLOSED ERRATA
Product: Stronghold Cross Platform
Classification: Retired
Component: apache (Show other bugs)
4.0
parisc11 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-21 12:15 EDT by Joe Orton
Modified: 2007-04-18 13:09 EDT (History)
0 users

See Also:
Fixed In Version: 1.3.22-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 08:41:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2004-07-21 12:15:30 EDT
Description of problem:
The HP-UX accept() can give an EINVAL if a new connection arrives and
is signalled to select() but is closed before accept() pops.

The child process treats this as a fatal error condition, terminates,
and is replaced as normal.

A related fix to handle HP-UX accept() returning ENOBUFS was committed
upstream a while back: Stronghold should handle both ENOBUFS and
EINVAL returned by accept() as non-fatal error conditions on HP-UX.
Comment 1 Joe Orton 2005-01-21 08:41:48 EST
Fixed in 4.0j, stronghold-apache-1.3.22-21.

Note You need to log in before you can comment on or make changes to this bug.